package sun.net.httpserver;

import java.util.Collection;
import java.util.Collections;
import java.util.Set;
import java.util.Map;
import java.util.List;
import com.sun.net.httpserver.Headers;

class UnmodifiableHeaders extends Headers
{
    Headers map;
    
    UnmodifiableHeaders(Headers map) {
        this.map = map;
    }
    
    @Override
    public int size() {
        return this.map.size();
    }
    
    @Override
    public boolean isEmpty() {
        return this.map.isEmpty();
    }
    
    @Override
    public boolean containsKey(Object key) {
        return this.map.containsKey(key);
    }
    
    @Override
    public boolean containsValue(Object value) {
        return this.map.containsValue(value);
    }
    
    @Override
    public List<String> get(Object key) {
        return this.map.get(key);
    }
    
    @Override
    public String getFirst(String key) {
        return this.map.getFirst(key);
    }
    
    @Override
    public List<String> put(String key, List<String> value) {
        return this.map.put(key, value);
    }
    
    @Override
    public void add(String s, String s2) {
        throw new UnsupportedOperationException("unsupported operation");
    }
    
    @Override
    public void set(String s, String s2) {
        throw new UnsupportedOperationException("unsupported operation");
    }
    
    @Override
    public List<String> remove(Object o) {
        throw new UnsupportedOperationException("unsupported operation");
    }
    
    @Override
    public void putAll(Map<? extends String, ? extends List<String>> map) {
        throw new UnsupportedOperationException("unsupported operation");
    }
    
    @Override
    public void clear() {
        throw new UnsupportedOperationException("unsupported operation");
    }
    
    @Override
    public Set<String> keySet() {
        return Collections.unmodifiableSet(this.map.keySet());
    }
    
    @Override
    public Collection<List<String>> values() {
        return Collections.unmodifiableCollection(this.map.values());
    }
    
    @Override
    public Set<Map.Entry<String, List<String>>> entrySet() {
        return Collections.unmodifiableSet(this.map.entrySet());
    }
    
    @Override
    public boolean equals(Object o) {
        return this.map.equals(o);
    }
    
    @Override
    public int hashCode() {
        return this.map.hashCode();
    }
}
